Page MenuHomePhabricator

LegalizeDAG: Don't replace vector store with integer if not legal
ClosedPublic

Authored by arsenm on Feb 12 2016, 3:56 PM.

Details

Summary

For the same reason as the corresponding load change.

Note that ExpandStore is completely broken for non-byte sized element
vector stores, but preserve the current broken behavior which has tests
for it. The behavior should be the same, but now introduces a new typed
store that is incorrectly split later rather than doing it directly.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 47871.Feb 12 2016, 3:56 PM
arsenm retitled this revision from to LegalizeDAG: Don't replace vector store with integer if not legal.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
resistor edited edge metadata.Mar 21 2016, 11:03 AM

Needs doxygen comment.

arsenm updated this revision to Diff 51207.Mar 21 2016, 12:00 PM
arsenm edited edge metadata.

Add comment

resistor accepted this revision.Mar 29 2016, 12:36 PM
resistor edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 29 2016, 12:36 PM
arsenm closed this revision.Mar 30 2016, 2:20 PM

r264928